
function isCharsInBag(inputchar, bagchar)
{
  var ii,cc;
  for (ii = 0; ii < inputchar.length; ii++)
  {
    cc = inputchar.charAt(ii);
    if (bagchar.indexOf(cc) > -1) { return "no"; }
    else { return "yes"; }
  }
}
function checkgbook()
{
  var errorcharname="><,[>{}?/+=|\\'\":;~!#$%()`@";
  var errorcharqq="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz><,[>{}?/+=|\\'\":;~!#$%()`";
  var wr_name=GboOk_add.wrname.value;
  if(wr_name=="" || wr_name==null)
  {
    alert("你还没完全留下所需信息！\r\n你的 名字 是必须要的。");
    document.GboOk_add.wrname.focus();
    return false;
  }
  var errorname=isCharsInBag(wr_name,errorcharname);
  if ( errorname=="no" )
  {
    alert("你的 名字 不得含有以下字符！\r\n  ><,[{}?/+=|\\'\":;~!#$%()`");
    document.GboOk_add.wrname.focus();
    return false;
  }
  var wr_qq=GboOk_add.wrqq.value;
  if(GboOk_add.wrqq.value!=="")
  {
    var errorqq=isCharsInBag(wr_qq,errorcharqq);
    if ( errorqq=="no" )
    {
      alert("你的 QQ 只能是数字！\r\n请重新输入。");
      document.GboOk_add.wrqq.focus();
      return false;
    }
  }
  var wr_email=GboOk_add.wremail.value;
  if(wr_email!=="" && wr_email!=="@")
  {
    var AtSym = wr_email.indexOf('@');
    var Period = wr_email.lastIndexOf('.');
    var Space = wr_email.indexOf(' ');
    var Length = wr_email.length - 1;
    if ((AtSym < 1) || (Period <= AtSym+1) || (Period == Length ) || (Space != -1))
    {
      alert('你的 eMail地址 格式不对！\r\n请重新输入。');
      document.GboOk_add.wremail.focus();
      return false;
    }
  }
  var wr_whe=GboOk_add.wrwhe.value;
  if(wr_whe!=="")
  {
    var errorwhe=isCharsInBag(wr_whe,errorcharname);
    if ( errorwhe=="no" )
    {
      alert("你的 来自 不得含有以下字符！\r\n  ><,[{}?/+=|\\'\":;~!#$%()`");
      document.GboOk_add.wrwhe.focus();
      return false;
    }
  }
  for (var i=0;i<GboOk_add.length;i++)
  {
    var tempobj=GboOk_add.elements[i];
    var tmpstr=tempobj.name;
    if (tmpstr.length=={$tmplen})
    {
      if (GboOk_add.elements[i].value=="" || GboOk_add.elements[i].value==null)
      {
        alert("你还没完全留下所需信息！\r\n你的 主题或内容 是必须要的。");
        GboOk_add.elements[i].focus();
        return false;
      }
    }
  }
  if ((chk_tim-base_tim)/1000<{$dif_tim})
  {
    alert("留言签写时间必须大于 {$dif_tim} 秒！");
    return false;
  }
}